import Vue from 'vue'
import Router from 'vue-router'
import Main from '@/components/Main';

//易查询路由配置
import searchRouter from '@/router/Yirouter/searchRouter.js';

//易学习路由配置
import studyRouter from '@/router/Yirouter/studyRouter.js';

//易资讯路由配置
import infotmation from '@/router/Yirouter/information.js';

//易请假界面相关路由的配置
import leaveRouter from '@/router/Yirouter/leave.js';

//其它路由信息配置,例如个人中心相关的路由配置信息。
import otherRouter from '@/router/otherRouter.js';
Vue.use(Router)



export default new Router({
    routes: [
        {
            path: '/',
            name: 'Main',
            meta:{
            	title:'主页'
            },
            component:() => import('@/components/Main.vue')
        },
        {
        	path:'/yisearch',
        	name:'YiSearch',
        	meta:{
        		title:'易查询'
        	},
        	component:()=>import('@/components/YiMenu/YiSearch/YiSearch.vue')
        },
        
        
        {
        	path:'/yiup',
        	name:'yiup',
        	meta:{
        		title:'易成长'
        	},
        	component:()=>import('@/components/YiMenu/YiUp/YiUp.vue')

        },
        {
        	path:'/address',
        	name:'address',
        	meta:{
        		title:'通讯录'
        	},
        	component:()=>import('@/components/MainMenu/Address/Address.vue')

        },
        {
        	path:'/info',
        	name:'info',
        	meta:{
        		title:'信息'
        	},
        	component:()=>import('@/components/MainMenu/Info/Info.vue')

        },
        {
        	path:'/set',
        	name:'set',
        	meta:{
        		title:'设置'
        	},
        	component:()=>import('@/components/MainMenu/Set/Set.vue')

        },
        {
        	path:'/mine',
        	name:'mine',
        	meta:{
        		title:'我的'
        	},
        	component:()=>import('@/components/MainMenu/Mine/Mine.vue')
        },
        ...otherRouter,
        ...searchRouter,
        ...infotmation,
        ...studyRouter,
        ...leaveRouter
    ]
})
