import Vue from 'vue';
import Vuex from 'vuex';


let infoStore = {
	state: { 
		swiperNews: [],
		startList: [],
		loadList: [],
	},
	getters:{
		startList(state) {
		    return state.startList;
		},
		loadList(state) {
		    return state.loadList;
		},
		swiperNews(start){
			 return state.swiperNews;
		}
	},
	mutations: {
		updateSwiperNews(state, data) {
		    state.swiperNews = data;
		},
		updateStartList(state, data) {
		    state.startList = data;
		},
		updateLoadList(state, data) {
		    state.loadList = state.loadList.concat(data);
		}
	},
	actions: {
		getStartList(store) {
		    Vue.jsonp('http://3g.163.com/touch/jsonp/sy/recommend/0-9.html').then( data => {
		         
		        if (data.code == 200) {
		            let swiperNews = data.focus.filter( item => {
		                return item.addata == null;
		            } ).map( item => {

		                return {
		                    title: item.title,
		                    img: item.picInfo[0].url,
		                    url: item.link
		                }
		            } );

		            let startList = data.list.filter( item => {
		                return item.addata == null;
		            } ).map( item => {
		                
		                return {
		                    title: item.title,
		                    src:'https://ss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=690356695,4157418173&fm=26&gp=0.jpg',
		                    desc: item.digest,
		                    url:{path:`/yiinfo/artdetail/${item.docid}`,query:item},
		                    meta: {
		                        source: item.source,
		                        date: item.ptime,
		                        other: '示例模板'
		                    }
		                }
		            } );

		            store.commit('updateSwiperNews', swiperNews);
		            store.commit('updateStartList', startList);
		        }
		    } );
		},

		refreshStartList(store, {refreshKey}) {
		    return Vue.jsonp('http://3g.163.com/touch/jsonp/sy/recommend/0-9.html', {
		        miss: '00',
		        refresh: refreshKey
		    })
		    .then( data => {
		        let startList = data.list.filter( item => {
		            return item.addata == null;
		        } ).map( item => {
		            return {
		                title: item.title,
		                src:'https://ss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=690356695,4157418173&fm=26&gp=0.jpg',
		                desc: item.digest,
		                meta: {
		                    source: item.source,
		                    date: item.ptime,
		                    other: '示例模板'
		                }
		            }
		        } );

		        store.commit('updateStartList', startList);

		        return Promise.resolve(startList.length);
		    } )
		},

		getLoadList(store, {refreshKey, page, prepage}) {
		    let start = page*prepage;
		    let end = start + prepage;
		    return Vue.jsonp(`http://3g.163.com/touch/jsonp/sy/recommend/${start}-${end}.html`, {
		        miss: '00',
		        refresh: refreshKey
		    })
		    .then( data => {
		       
		        let loadList = data.news.filter( item => {
		            return item.addata == null && item.picInfo.length;
		        } ).map( item => {
		            return {
		                title: item.title,
		                src: item.picInfo[0].url,
		                desc: item.digest,
		                url:{path:`/yiinfo/artdetail/${item.docid}`,query:item},
		                meta: {
		                    source: item.source,
		                    date: item.ptime,
		                    other: '示例模板'
		                }
		            }
		        } );

		       

		        store.commit('updateLoadList', loadList);

		        return Promise.resolve();
		    } )
		}
	}

}

export default infoStore;